Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler.gorm
[Java] Class GormTransformer

    java.lang.Object
      org.codehaus.groovy.grails.compiler.injection.AbstractGrailsArtefactTransformer
          org.codehaus.groovy.grails.compiler.gorm.GormTransformer

    @AstTransformer
    public class GormTransformer
    extends AbstractGrailsArtefactTransformer

Transforms GORM entities making the GORM API available to Java.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static java.lang.String` | `NEW_INSTANCE_METHOD`

Fields inherited from class AbstractGrailsArtefactTransformer
CURRENT_PREFIX, METHOD_MISSING_METHOD_NAME, OBJECT_CLASS, PUBLIC_STATIC_MODIFIER, STATIC_METHOD_MISSING_METHOD_NAME, THIS_EXPRESSION

Method Summary
`java.lang.String` | `getArtefactType()`
`java.lang.Class` | `getInstanceImplementation()`
`java.lang.Class` | `getStaticImplementation()`
`protected boolean` | `isStaticCandidateMethod(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.MethodNode declaredMethod)`
`protected void` | `performInjectionInternal(java.lang.String apiInstanceProperty, org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
`protected org.codehaus.groovy.ast.MethodNode` | `populateAutowiredApiLookupMethod(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.ClassNode implementationNode, java.lang.String apiInstanceProperty, java.lang.String methodName, org.codehaus.groovy.ast.stmt.BlockStatement methodBody)`
`protected boolean` | `requiresStaticLookupMethod()`
`boolean` | `shouldInject(java.net.URL url)`

Methods inherited from class AbstractGrailsArtefactTransformer
compareTo, getArtefactType, getArtefactTypes, getInstanceImplementation, getStaticImplementation, isCandidateInstanceMethod, isStaticCandidateMethod, performInjection, performInjection, performInjectionInternal, populateAutowiredApiLookupMethod, populateDefaultApiLookupMethod, requiresAutowiring, requiresStaticLookupMethod

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### NEW_INSTANCE_METHOD

    public static final java.lang.String NEW_INSTANCE_METHOD

Method Detail

### getArtefactType

    @Override
    public java.lang.String getArtefactType()

### getInstanceImplementation

    @Override
    public java.lang.Class getInstanceImplementation()

### getStaticImplementation

    @Override
    public java.lang.Class getStaticImplementation()

### isStaticCandidateMethod

    @Override
    protected boolean isStaticCandidateMethod(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.MethodNode declaredMethod)

### performInjectionInternal

    @Override
    protected void performInjectionInternal(java.lang.String apiInstanceProperty, org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

### populateAutowiredApiLookupMethod

    @Override
    protected org.codehaus.groovy.ast.MethodNode populateAutowiredApiLookupMethod(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.ClassNode implementationNode, java.lang.String apiInstanceProperty, java.lang.String methodName, org.codehaus.groovy.ast.stmt.BlockStatement methodBody)

### requiresStaticLookupMethod

    @Override
    protected boolean requiresStaticLookupMethod()

### shouldInject

    public boolean shouldInject(java.net.URL url)

Groovy Documentation